import type { H3Event } from 'h3';
import type { Storage } from 'unstorage';
import type { NuxtMultiCacheOptions } from './../../../types';
export declare function getCacheInstance(event: H3Event): Storage;
/**
 * Check the authorization for API endpoints.
 */
export declare function checkAuth(event: H3Event, providedModuleConfig?: NuxtMultiCacheOptions): Promise<void>;
