import type { H3Event } from 'h3';
/**
 * Determine if the cache context should be added to the request.
 *
 * If the enabledForRequest method is provided, it is called with the H3 event.
 * If the method returns false, the cache context is not added.
 */
export declare function shouldAddCacheContext(event: H3Event): Promise<boolean>;
declare const _default: import("h3").EventHandler<void>;
export default _default;
