
import { ModuleOptions, ModuleHooks } from './module'

declare module '@nuxt/schema' {
  interface NuxtConfig { ['multiCache']?: Partial<ModuleOptions> }
  interface NuxtOptions { ['multiCache']?: ModuleOptions }
  interface NuxtHooks extends ModuleHooks {}
}


export { ModuleHooks, ModuleOptions, default } from './module'
